#!/bin/sh

if [ `id -u` != "0" ] ; then
	echo "This has to be run as root."
	exit 1
fi

if [ "x`cat /etc/group | grep ^sbox:`" = "x" ] ; then
	groupadd sbox
fi

chown -R root.root /scratchbox/.
chmod -R o-w /scratchbox/.

chown -R root.sbox /scratchbox/sbin/*
chmod 754 /scratchbox/sbin/*
chmod u+s /scratchbox/sbin/chroot-uid

mkdir /scratchbox/tools/ccache
chown root.sbox /scratchbox/tools/ccache
chmod 2775 /scratchbox/tools/ccache

tar -cpf - /dev 2>/dev/null | tar -xpf - -C /scratchbox/

ln -fs /targets/links/scratchbox.config /scratchbox/scratchbox.config

/scratchbox/sbin/register_arm

echo ""
echo "Scratchbox is now ready.. Now you should add some users! (sbin/sbox_adduser)"
echo ""


